<bugID>344572<Summary>[newprefs] Unit of measure for history preference not spoken by WindowEyes</Summary><Description>Steps to reproduce:

1. Run WindowEyes v5.5K
2. Run a trunk build of Firefox that has the newly reorganized prefs window
3. Tools / Options / Privacy
4. Tab to "Remember visited pages for the last [   ] days" and/or the edit box itself where you can enter the number of days

Results:

On the checkbox, WindowEyes speaks the literal text of the checkbox, "Remember visited pages for the last.  Checkbox.  Checked."  On the edit box, WindowEyes speaks the "9" but does not speak "days" (the unit of measure).

Expected behavior:

In Firefox 1.5, you could tab to the number of days editbox and WindowEyes would speak the entire label on both sides, plus the current value, i.e. "Remember visited pages for the last 9 days."</Description></bugID>